Skip to main content
GET
/
snapshots
/
{id}
cURL
curl -X GET https://api.growthbook.io/api/v1/snapshots/snp_1234 \
  -u secret_abc123DEF456:
{
  "snapshot": {
    "id": "<string>",
    "experiment": "<string>",
    "status": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Path Parameters

id
string
required

The id of the requested resource (a snapshot ID, not experiment ID)

Response

200 - application/json

Success

snapshot
object
required